[arch-commits] Commit in xorg-fonts-cyrillic/trunk (PKGBUILD)

Jan de Groot jgc at archlinux.org
Mon Mar 8 07:59:27 EST 2010


    Date: Monday, March 8, 2010 @ 07:59:27
  Author: jgc
Revision: 71689

upgpkg: xorg-fonts-cyrillic 1.0.1-1
Update fonts, convert to -any architecture

Modified:
  xorg-fonts-cyrillic/trunk/PKGBUILD

----------+
 PKGBUILD |   36 +++++++++++++++++++-----------------
 1 file changed, 19 insertions(+), 17 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2010-03-08 12:44:38 UTC (rev 71688)
+++ PKGBUILD	2010-03-08 12:59:27 UTC (rev 71689)
@@ -2,34 +2,36 @@
 #Maintainer: Jan de Groot <jgc at archlinux.org>
 
 pkgname=xorg-fonts-cyrillic
-pkgver=1.0.0
-pkgrel=4
+pkgver=1.0.1
+pkgrel=1
 pkgdesc="X.org cyrillic fonts"
-arch=(i686 x86_64)
+arch=(any)
 url="http://xorg.freedesktop.org/"
 license=('custom')
 depends=(xorg-fonts-encodings xorg-fonts-alias xorg-font-utils fontconfig)
 install=xfonts.install
 source=(${url}/releases/individual/font/font-cronyx-cyrillic-${pkgver}.tar.bz2
         ${url}/releases/individual/font/font-misc-cyrillic-${pkgver}.tar.bz2
-        ${url}/releases/individual/font/font-screen-cyrillic-1.0.1.tar.bz2
+        ${url}/releases/individual/font/font-screen-cyrillic-1.0.2.tar.bz2
         ${url}/releases/individual/font/font-winitzki-cyrillic-${pkgver}.tar.bz2)
-md5sums=('22b451e7230b8c003cfc496ee2d360cc' '3596907d7a2a99c81d8de99bc4552b6a'\
-         'c8d5aef01c906c7aaea329702a8b1b63' 'b99b02aff36a88ca3379715423c60303')
+md5sums=('15f86f5e572df21218617982eb4b3bfc'
+         'c79d7921d95b2c4f10fad464bb121090'
+         'c912a976b66073acd80c9d5c624f3aae'
+         '92bf4ecb373faac545cef2dcbe40be35')
 
 build() {
-  cd ${srcdir}
-  for dir in font-*-cyrillic-${pkgver} font-*-cyrillic-1.0.1; do
-    pushd ${dir}
+  cd "${srcdir}"
+  install -m755 -d "${pkgdir}/usr/share/licenses/${pkgname}"
+  for dir in *; do
+    if [ -d "${dir}" ]; then
+      pushd "${dir}"
       ./configure --prefix=/usr \
-                  --with-mapfiles=/usr/share/fonts/util \
-		  --with-fontdir=/usr/share/fonts/cyrillic
+		      --with-fontdir=/usr/share/fonts/cyrillic || return 1
       make || return 1
-      make DESTDIR=${pkgdir} install || return 1
- install -D -m644 COPYING ${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.${dir%-*}
-    popd
+      make DESTDIR="${pkgdir}" install || return 1
+      install -m644 COPYING "${pkgdir}/usr/share/licenses/${pkgname}/LICENSE.${dir%-*}"
+      popd
+    fi
   done
-  rm -f ${pkgdir}/usr/share/fonts/*/fonts.*
-    
+  rm -f "${pkgdir}"/usr/share/fonts/*/fonts.*
 }
-



More information about the arch-commits mailing list